ERR: stevedore.extension [-] (six 1.4.1 (/usr/lib/python2.7/dist-packages), Requirement.parse('six<1.4.1'))

Bug #1325519 reported by Anastasia Palkina on 2014-06-02
10
This bug affects 2 people
Affects Status Importance Assigned to Milestone
Fuel for OpenStack
High
Dmitry Burmistrov

Bug Description

"build_id": "2014-06-02_00-40-36",
"mirantis": "yes",
"build_number": "334",
"nailgun_sha": "0828946af6a2e757fb018c2f69f7f81f0ea4b7f1",
"ostf_sha": "3690709d95c1f42506b6d955b44221910cec8527",
"fuelmain_sha": "7fbe99c86a4fffcb5ebc5b86046dcf1c20776f61",
"astute_sha": "55df06b2e84fa5d71a1cc0e78dbccab5db29d968",
"release": "4.1B",
"fuellib_sha": "c64ffdc5e7bfe7fa8eb971be1fea2260ee849ab5"

1. Create new environment (Ubuntu, simple mode)
2. Choose Ceilometer installation
3. Add compute, controller, cinder
4. Choose debugging
5. Start deployment. It was successful
6. But there is error on controller node in nova logs:

2014-06-02 10:13:03 ERROR

stevedore.extension [-] (six 1.4.1 (/usr/lib/python2.7/dist-packages), Requirement.parse('six<1.4.1'))

Anastasia Palkina (apalkina) wrote :
Anastasia Palkina (apalkina) wrote :

root@node-1:~# nova-manage service list
2014-06-02 10:45:49.327 16432 DEBUG nova.servicegroup.api [-] ServiceGroup driver defined as an instance of db __new__ /usr/lib/python2.7/dist-packages/nova/servicegroup/api.py:62
2014-06-02 10:45:49.685 16432 DEBUG stevedore.extension [-] found extension EntryPoint.parse('file = nova.image.download.file') _load_plugins /usr/lib/python2.7/dist-packages/stevedore/extension.py:84
2014-06-02 10:45:49.696 16432 ERROR stevedore.extension [-] Could not load 'file': (six 1.4.1 (/usr/lib/python2.7/dist-packages), Requirement.parse('six<1.4.1'))
2014-06-02 10:45:49.698 16432 ERROR stevedore.extension [-] (six 1.4.1 (/usr/lib/python2.7/dist-packages), Requirement.parse('six<1.4.1'))
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension Traceback (most recent call last):
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/stevedore/extension.py", line 89, in _load_plugins
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension invoke_kwds,
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/stevedore/extension.py", line 101, in _load_one_plugin
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension plugin = ep.load()
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 1988, in load
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension if require: self.require(env, installer)
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 2001, in require
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension working_set.resolve(self.dist.requires(self.extras),env,installer))
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension File "/usr/lib/python2.7/dist-packages/pkg_resources.py", line 588, in resolve
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension raise VersionConflict(dist,req) # XXX put more info here
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension VersionConflict: (six 1.4.1 (/usr/lib/python2.7/dist-packages), Requirement.parse('six<1.4.1'))
2014-06-02 10:45:49.698 16432 TRACE stevedore.extension

Changed in fuel:
importance: Undecided → High
assignee: Tatyana (tatyana-leontovich) → Fuel OSCI Team (fuel-osci)
status: New → Confirmed
Changed in fuel:
assignee: Fuel OSCI Team (fuel-osci) → Dmitry Burmistrov (dburmistrov)
status: Confirmed → In Progress
OSCI Robot (oscirobot) wrote :
OSCI Robot (oscirobot) wrote :
OSCI Robot (oscirobot) wrote :
Changed in fuel:
status: In Progress → Fix Committed
OSCI Robot (oscirobot) wrote :
Changed in fuel:
status: Fix Committed → In Progress
OSCI Robot (oscirobot) wrote :
Changed in fuel:
status: In Progress → Fix Committed
OSCI Robot (oscirobot) wrote :
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers